Y
HN Search
Hacker News Search
new
|
comments
|
top
|
jobs
dfawcus
searching PlanetScale…
1.
▲
2.
▲
3.
▲
4.
▲
5.
▲
6.
▲
14 ms
·
181.
▲
by
dfawcus
2y ago
Nah - NPTv6, as it plays nicer. See RFC 6296 and RFC 7157.
182.
▲
by
dfawcus
2y ago
In a specific scenario, I have made use of interface values, and type switches as a form of "tagged union" / "sum type". All it requires is that the module defining the interface, and structs implementing it, are in
183.
▲
by
dfawcus
2y ago
That is an absolutist position, which some of us don't agree with. Taking the view that in practice there are degrees of "memory safety". That is generally my position, and that the largest benefits come from spatial safety
184.
▲
by
dfawcus
2y ago
Generally. That is as it does not have pointer arithmetic, unlike C, and arrays / slices are bounds checked. So one will get a crash from a null pointer deref. The other risk with null pointer access is struct member access via such a
185.
▲
by
dfawcus
2y ago
Yes. Probably because Terrahawks (80s) was such a flop, and so there was scope to repeat Thunderbirds. Not that the others: Joe 90, Supercar, etc got much in the way of repeats. That said I did enjoy Captain Scarlet and Stingray as a kid.
186.
▲
by
dfawcus
2y ago
Bitsavers has a copy of the HC 1.2 reference manual (1985) It describes underscores in numbers, case ranges, named parameters, nested functions, and full function variables. https://bitsavers.org/pdf/metaware/
187.
▲
by
dfawcus
2y ago
Is having a unique word that much of an improvement over "paternal grandmother" vs "maternal grandmother"? Or is it that you're referring to other relations than those two having unique
188.
▲
by
dfawcus
2y ago
> For years my childhood brain assumed that concrete was just one of the materials people commonly used to build boats. It was, depending upon availability of steel. So boat and ship were not uncommon, maybe less so with canoes. https:&
189.
▲
by
dfawcus
2y ago
Some of the products mention on that piece were true operating systems. MP/M and its derivatives (MP/M-86, CCPM, CDOS) were all multitasking, multi-threading, multi-user, multi-terminal/console real time preemptive OSs. The
190.
▲
by
dfawcus
2y ago
In the UK, it has little to do with privacy per-se, but that we know they will be abused. That being part of the national character which rears is ugly little head from time to time. We kept ID cards after the end of WW2 for a period, unti
191.
▲
by
dfawcus
2y ago
Nothing changed in the UK Online Safety Bill before it became an Act, the troublesome clauses are still there. All that happened is the government accepted that it was not currently practical to implement what they desired. So 'promise
192.
▲
by
dfawcus
2y ago
Which elections would those be, in which country, and which candidate benefited?
193.
▲
by
dfawcus
2y ago
> The council is the only legislative writing body in the EU, but it has no power to enact legislation. Funny, as I recall that is one of the roles of Commission. It is the one with the power of initiative. If its draft legislation is no
194.
▲
by
dfawcus
2y ago
> Is he implying that using vendor packages is more clear that using version tags in a go.mod? That would certainly be the first I’ve ever heard of someone preferring dependency management via vendor packages over a go.mod & ‘go get’
195.
▲
by
dfawcus
2y ago
No, that only applies (in E+W) while a trial is live, or in Scotland from the police investigation being live, to end of investigation and/or trial. If there is no police investigation (Scotland) nor trial (either country), the you can
196.
▲
by
dfawcus
2y ago
Better not prod Falkirk council, as otherwise they'd have the issue of Bo'ness vs Borrowstounness to deal with. Similarly Grangemouth apparently has a Bo'ness Road... A related issue would be places in England named 'by-
197.
▲
by
dfawcus
2y ago
They are not female, they are an 'it', that is the correct grammatical form. Referring to them as women (hence 'she') is simply an affectation.
198.
▲
by
dfawcus
2y ago
That is why we have fortnight, hence fortnightly, so biweekly can mean twice weekly. However that then all falls apart once we have US based folks in the conversation, especially if one of them used 'biweekly'!
199.
▲
by
dfawcus
2y ago
I generally browse with JS disabled, most things I read "just work". To achieve this I make use of uMatrix, with the global default being JS disabled, and CSS disabled. Then for sites where I consider it worth the cost, and value
200.
▲
by
dfawcus
3y ago
Similarly "by-the-sea" However, the sea has "moved" at times (mainly land reclamation), hence the different coastline in that 878 map.
201.
▲
by
dfawcus
3y ago
> > UK GDP is $3tn :D > Most of which is England Largely because of where the tax is booked, due to many companies having their headquarters office in London. Most of the Oil revenue is raised in Scotland, what would the balance l
202.
▲
by
dfawcus
3y ago
> "Four countries is one country" is very different from "50 states is one country". Except it ain't the former, it is more "A state comprising of 3* countries, and part of a 4th". * Well if we add Cor
203.
▲
by
dfawcus
3y ago
I've been meaning to run up MP/M in an emulator for a while now, and have a play. A multi-user, multi-tasking, multi-threading[1], and multi-terminal real time OS, with a limited form of job control. Not bad for 1979/1980 on
204.
▲
by
dfawcus
3y ago
Ha - so akin to a Discworld camera! Pratchett would be laughing...
205.
▲
by
dfawcus
3y ago
Fresh cleaned whole mackerel. Place in a covered tray over some water, cover the fish with sliced onion and stuff a piece of lemon in the cavity. Cook in oven at around 180 degrees C for 10 - 20 mins. You'll end up with a delicious ste
206.
▲
by
dfawcus
3y ago
FWIW - The DVD CSS scheme is build upon a couple of LFSRs. They're then combined in 4 different ways (XOR of the streams, as is or inverted). Three of the combinations are used for the "authentication" portion (as used by s&#
207.
▲
by
dfawcus
3y ago
Look up the demographics of London. It is an exception compared to the rest of the UK.
208.
▲
by
dfawcus
3y ago
Possibly split Messages and SMS in to distinct apps. Have the latter handle SMS/MMS/RCS with options (in its settings area) to enable/disable each of the three, such that any or all of them may be individually allowed (or not
209.
▲
by
dfawcus
3y ago
Whereas email more or less lasts forever (mailbox contents), and has to be backwards compatible with older versions back to (at least) RFC 821/822, or those before. It also allows almost any character (when escaped at 821 level) in th
210.
▲
by
dfawcus
3y ago
Given that in unix they sort started as: ed -> sed ed -> grep The line oriented mature makes sense. There is some sed multi-line capability if one uses the hold space, but it is much easier to just use awk.
More ›